dpkg-deb(1)

NOM
dpkg-deb - outil pour la manipulation des archives (.deb) des paquets Debian

SYNOPSIS
dpkg-deb [options...] commande

DESCRIPTION
dpkg-deb crée un paquet, dépaquette une archive ou donne des renseignements sur les archives Debian

dpkg sert à installer ou à supprimer des paquets sur le système.

Il est possible d'exécuter dpkg-deb en appelant dpkg avec les options de dpkg-deb. dpkg comprend que dpkg-deb est appelé et le lance.

For most commands taking an input archive argument, the archive can be read from standard input if the archive name is given as a single minus character («-»); otherwise lack of support will be documented in their respective command description.

COMMANDES

-b, --build répertoire [archive|répertoire]
    Crée une archive Debian avec l'arborescence contenue dans répertoire. répertoire doit posséder un sous-répertoire DEBIAN qui contient les fichiers de contrôle tels que le fichier « control » lui-même. Ce répertoire n'apparaît pas dans l'archive de l'arborescence du paquet binaire ; mais les fichiers qu'il contient sont mis dans la zone de contrôle du paquet binaire. Unless you specify --nocheck, dpkg-deb will read DEBIAN/control and parse it. It will check the file for syntax errors and other problems, and display the name of the binary package being built. dpkg-deb will also check the permissions of the maintainer scripts and other files found in the DEBIAN control information directory. Quand aucune archive n'est donnée, dpkg-deb appelle le paquet répertoire.deb. Si l'archive qui doit être créée existe déjà, elle est remplacée. Quand le second argument est un répertoire, dpkg-deb appelle le paquet paquet_version_arch.deb, ou bien paquet_version.deb si aucun champ Architecture n'est présent dans le fichier de contrôle du paquet. Quand un répertoire cible est précisé à la place d'un fichier, l'option --nocheck ne doit pas être utilisée (puisque dpkg-deb a besoin de lire et d'analyser le fichier de contrôle du paquet pour connaître le nom de fichier à utiliser).

-I, --info archive [nom-fichier-control...]
    Donne des renseignements sur une archive de paquet binaire. Quand aucun argument fichier-control n'est précisé, un résumé du contenu du paquet ainsi que son fichier « control » sont affichés. Quand un argument fichier-control est précisé, dpkg-deb affiche les éléments dans l'ordre d'apparition ; quand l'un des éléments n'est pas présent, il affiche un message d'erreur sur « stderr » et quitte avec un code égal à 2.

-W, --show archive
    Cette option donne des informations sur l'archive d'un paquet binaire selon le format spécifié par l'argument --showformat. Le format par défaut affiche le nom et la version du paquet sur une seule ligne, séparés par une tabulation.

-f, --field archive [nom-du-champ-de-control...]
    Extrait les renseignements du fichier « control » de l'archive du paquet binaire. If no control-field-names are specified then it will print the whole control file. If any are specified then dpkg-deb will print their contents, in the order in which they appear in the control file. If more than one control-field-name is specified then dpkg-deb will precede each with its field name (and a colon and space). L'absence des champs demandés ne provoque pas de message d'erreur.

-c, --contents archive
    Liste seulement l'arborescence des fichiers d'une archive de paquet. C'est en fait le résultat produit par la commande tar et une option d'énumération verbeuse.

-x, --extract archive répertoire
    Extrait l'arborescence des fichiers d'un paquet archive dans le répertoire spécifié. Il faut remarquer que l'extraction d'un paquet dans le répertoire root ne produit pas une installation correcte ! Utilisez dpkg pour l'installation des paquets. répertoire est créé si nécessaire (mais pas ses répertoires parents) et ses permissions sont modifiées pour correspondre au contenu du paquet.

-X, --vextract archive répertoire
    Comme --extract (-x) avec --verbose (-v), ce qui affiche la liste des fichiers au fur et à mesure qu'ils sont extraits.

-R, --raw-extract archive répertoire
    Extracts the filesystem tree from a package archive into a specified directory, and the control information files into a DEBIAN subdirectory of the specified directory (since dpkg 1.16.1). Le répertoire cible est créé si nécessaire (mais pas ses répertoires parents). The input archive is not (currently) processed sequentially, so reading it from standard input («-») is not supported.

--ctrl-tarfile archive
    Extrait les données de contrôle d'un paquet binaire et les envoie sur la sortie standard dans le format propre à la commande tar (depuis dpkg 1.17.14). En combinant cette option avec la commande tar(1), on peut ainsi extraire un fichier de contrôle précis d'une archive de paquet. L'archive d'entrée sera toujours traitée séquentiellement.

--fsys-tarfile archive
    Extrait les données de l'arborescence d'un paquet binaire et les envoie sur la sortie standard dans le format propre à la commande tar. En combinant cette option avec la commande tar(1), on peut ainsi extraire un fichier précis d'une archive de paquet. L'archive d'entrée sera toujours traitée séquentiellement.

-e, --control archive [répertoire]
    Extrait les fichiers de contrôle d'une archive de paquet dans le répertoire spécifié. Quand aucun répertoire n'est précisé, on utilise un sous-répertoire DEBIAN du répertoire actuel. Le répertoire cible est créé si nécessaire (mais pas ses répertoires parents).

-?, --help
    Affiche un message d'aide puis quitte.

--version
    Affiche le numéro de version puis quitte.

OPTIONS

--showformat=format
    Cette option sert à spécifier le format de sortie de l'option --show. Ce format sera utilisé pour chaque paquet listé. The string may reference any status field using the “${field-name}” form, a list of the valid fields can be easily produced using -I on the same package. A complete explanation of the formatting options (including escape sequences and field tabbing) can be found in the explanation of the --showformat option in dpkg-query(1). The default for this field is “${Package}\t${Version}\n”.

-zniveau_compression
    Indique le niveau de compression à fournir au logiciel de compression appelé en sous-main lors de la compression du paquet. La valeur par défaut est 9 pour gzip et bzip, 6 pour xz et lzma. Les valeurs possibles sont les entiers compris entre 0 et 9 : 0 correspond à aucune compression pour gzip et au niveau 1 pour bzip2. Avant la version 1.16.2, la valeur 0 correspondait à « aucune compression » pour tous les logiciels de compression.

-Sstratégie-compression
    Specify which compression strategy to use on the compressor backend, when building a package (since dpkg 1.16.2). Allowed values are none (since dpkg 1.16.4), filtered, huffman, rle and fixed for gzip (since dpkg 1.17.0) and extreme for xz.

-Ztype_compression
    Specify which compression type to use when building a package. Allowed values are gzip, xz (since dpkg 1.15.6), bzip2 (deprecated), lzma (since dpkg 1.14.0; deprecated), and none (default is xz).

--uniform-compression
    Specify that the same compression parameters should be used for all archive members (i.e. control.tar and data.tar; since dpkg 1.17.6). Otherwise only the data.tar member will use those parameters. The only supported compression types allowed to be uniformly used are none, gzip and xz.

--deb-format=format
    Set the archive format version used when building (since dpkg 1.17.0). Allowed values are 2.0 for the new format, and 0.939000 for the old one (default is 2.0). L'ancien format d'archive, moins facilement compris par les outils non-Debian, est maintenant dépassé. On l'utilise seulement quand on construit des paquets qui doivent être analysés par des versions de dpkg plus anciennes que la version 0.93.76 (septembre 1995), qui fut produite uniquement pour le format « i386 a.out ».

--new
    C'est un ancien alias pour --deb-format=2.0.

--old
    C'est un ancien alias pour --deb-format=0.939000.

--nocheck
    Empêche les vérifications normales de dpkg-deb --build quant au contenu proposé d'une archive. De cette façon, on peut construire n'importe quelle archive, aussi défectueuse soit-elle.

-v, --verbose
    Enables verbose output (since dpkg 1.16.1). This currently only affects --extract making it behave like --vextract.

-D, --debug
    Permet les messages de débogage. Ce n'est pas très intéressant.

CODE DE SORTIE

0   L'action demandée s'est correctement déroulée.

2   Fatal or unrecoverable error due to invalid command-line usage, or interactions with the system, such as accesses to the database, memory allocations, etc.

ENVIRONNEMENT

TMPDIR
    Si cette option est utilisée, dpkg l'utilisera comme répertoire pour créer les fichiers et répertoires temporaires.

NOTES
N'essayez pas d'installer un logiciel avec dpkg-deb ! Vous devez utiliser dpkg pour être sûr que tous ses fichiers sont correctement mis en place, que les scripts du paquet sont exécutés et que son contenu et son état sont enregistrés.

BOGUES
dpkg-deb -I paquet1.deb paquet2.deb se trompe. Il n'existe pas d'authentification des fichiers .deb. Il n'existe même pas de système de somme de contrôle immédiat. Les outils de haut niveau comme APT gèrent l'authentification des paquets .deb récupérés depuis un dépôt donné et la plupart des paquets fournissent désormais une somme de contrôle MD5 créée par debian/rules. Cependant, ceci n'est pas directement géré par les outils de plus bas niveau.

VOIR AUSSI
deb(5), deb-control(5), dpkg(1), dselect(1).

TRADUCTION
Ariel VARDI <ariel.vardi@freesbee.fr>, 2002. Philippe Batailler, 2006. Nicolas François, 2006. Veuillez signaler toute erreur à <debian-l10n-french@lists.debian.org>.